#!/usr/bin/env bash
set -euo pipefail
cd "$(dirname "${BASH_SOURCE[0]}")"

# Derived from:
# https://github.com/porras/dmenu-emoji

dmenu                           \
  -l 20                         \
  -i                            \
  -p 'Emoji: ' -fn Monospace-18 \
  < emoji-list.txt              \
  | awk '{print $(NF)}' | tr -d '\n' | xclip -sel clip
